curl --request POST \
--url https://api.sandbox.cheqpay.mx/pos/v1/subscriptions/{id}/cancel \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-merchant-id: <api-key>' \
--data '
{
"cancelImmediately": false
}
'import requests
url = "https://api.sandbox.cheqpay.mx/pos/v1/subscriptions/{id}/cancel"
payload = { "cancelImmediately": False }
headers = {
"x-api-key": "<api-key>",
"x-merchant-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-merchant-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({cancelImmediately: false})
};
fetch('https://api.sandbox.cheqpay.mx/pos/v1/subscriptions/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"merchantId": "merchant_123",
"customerId": "123e4567-e89b-12d3-a456-426614174001",
"planId": "123e4567-e89b-12d3-a456-426614174002",
"paymentMethodId": "123e4567-e89b-12d3-a456-426614174003",
"status": "ACTIVE",
"currentPeriodStart": "2025-01-01T00:00:00.000Z",
"currentPeriodEnd": "2025-02-01T00:00:00.000Z",
"cancelAtPeriodEnd": false,
"nextBillingDate": "2025-02-01T00:00:00.000Z",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z",
"trialStart": "2025-01-01T00:00:00.000Z",
"trialEnd": "2025-01-15T00:00:00.000Z",
"canceledAt": null,
"endedAt": null,
"metadata": {},
"plan": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"amount": "<string>",
"currency": "<string>",
"interval": "DAY",
"intervalCount": 123
}
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"message": "Required"
}
]
}{
"message": "Invalid api key"
}{
"message": "Merchant not found"
}{
"message": "Error message"
}Cancel a subscription
Cancels a subscription. By default, the subscription will be canceled at the end of the current billing period. Set cancelImmediately to true to cancel immediately.
Authorizations
API key for authentication (required)
Merchant ID for identifying the merchant (required)
Path Parameters
Subscription unique identifier
Body
If true, cancel immediately; if false, cancel at period end
false
Response
Subscription canceled successfully
Unique subscription identifier
"123e4567-e89b-12d3-a456-426614174000"
Merchant identifier
"merchant_123"
Customer identifier
"123e4567-e89b-12d3-a456-426614174001"
Plan identifier
"123e4567-e89b-12d3-a456-426614174002"
Payment method identifier
"123e4567-e89b-12d3-a456-426614174003"
Subscription status
TRIALING, ACTIVE, PAST_DUE, CANCELED, UNPAID "ACTIVE"
Start of the current billing period
"2025-01-01T00:00:00.000Z"
End of the current billing period
"2025-02-01T00:00:00.000Z"
Whether the subscription will cancel at period end
false
Date of the next billing charge (trial end date while trialing, otherwise the current period end date)
"2025-02-01T00:00:00.000Z"
Creation timestamp
"2025-01-01T00:00:00.000Z"
Last update timestamp
"2025-01-15T10:00:00.000Z"
Trial period start date
"2025-01-01T00:00:00.000Z"
Trial period end date
"2025-01-15T00:00:00.000Z"
When the subscription was canceled
null
When the subscription ended
null
Additional metadata
Associated plan details
Show child attributes
Show child attributes